cordova-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF GitHub Bot (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CB-10550) no plugin id mapper enforced when a version is specified
Date Sun, 14 Feb 2016 20:59:18 GMT

    [ https://issues.apache.org/jira/browse/CB-10550?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15146727#comment-15146727
] 

ASF GitHub Bot commented on CB-10550:
-------------------------------------

GitHub user bso-intel opened a pull request:

    https://github.com/apache/cordova-lib/pull/387

    CB-10550 Fixed the issue of plugin id mapper not enforced when a vers…

    …ion is specified
    
    The issue is described in https://issues.apache.org/jira/browse/CB-10550
    The fix is to inspect the given plugin_src if it contains the '@'<version_number>
before it tries to find the mapper database.

You can merge this pull request into a Git repository by running:

    $ git pull https://github.com/bso-intel/cordova-lib CB-10550

Alternatively you can review and apply these changes as the patch at:

    https://github.com/apache/cordova-lib/pull/387.patch

To close this pull request, make a commit to your master/trunk branch
with (at least) the following in the commit message:

    This closes #387
    
----
commit fab318eca7bf3aa7fe0c454628ecbbf058840ff9
Author: Byoungro So <byoungro.so@intel.com>
Date:   2016-02-14T20:52:10Z

    CB-10550 Fixed the issue of plugin id mapper not enforced when a version is specified

----


> no plugin id mapper enforced when a version is specified
> --------------------------------------------------------
>
>                 Key: CB-10550
>                 URL: https://issues.apache.org/jira/browse/CB-10550
>             Project: Apache Cordova
>          Issue Type: Bug
>          Components: CordovaLib
>            Reporter: Byoungro So
>            Assignee: Byoungro So
>
> We now enforce the RDN-to-NPM plugin id mapping in various places in CordovaLib.
> This works when there is no version is specified, but does not work when a desired version
is specified.
> For example, "cordova plugin add org.apache.cordova.device" will install cordova-plugin-device.
> However "cordova plugin add org.apache.cordova.device@1.1.1" will throw an error message.
> {code}
> [a] cordova plugin add org.apache.cordova.device@1.1.1
> Fetching plugin "org.apache.cordova.device@1.1.1" via npm
> Fetching plugin "org.apache.cordova.device@1.1.1" via cordova plugins registry
> Error: Failed to fetch plugin org.apache.cordova.device@1.1.1 via registry.
> Probably this is either a connection problem, or plugin spec is incorrect.
> Check your connection and plugin name/version/URL.
> Error: version not found: org.apache.cordova.device@1.1.1{code}



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

---------------------------------------------------------------------
To unsubscribe, e-mail: issues-unsubscribe@cordova.apache.org
For additional commands, e-mail: issues-help@cordova.apache.org


Mime
View raw message